/*
    Drools5 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools5.exceptions;

/**
 * This is a IncompatibleAnnotationDroolsError problem in Drools5-Integration-Helper.
 * 
 * @author mbo
 *
 */
public class IncompatibleAnnotationDroolsError extends DroolsError {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4678629472128016491L;

	public IncompatibleAnnotationDroolsError() {
		super();
	}

	public IncompatibleAnnotationDroolsError(String message, Throwable cause) {
		super(message, cause);
	}

	public IncompatibleAnnotationDroolsError(String message) {
		super(message);
	}

	public IncompatibleAnnotationDroolsError(Throwable cause) {
		super(cause);
	}

}
